Bug 255260

Summary: Ports that have DOCS option but no actual docs
Product: Ports & Packages Reporter: Naram Qashat <cyberbotx>
Component: Individual Port(s)Assignee: freebsd-kde (Team) <kde>
Status: Closed FIXED    
Severity: Affects Only Me CC: adridg, desktop, kde, office
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   

Description Naram Qashat 2021-04-20 13:44:12 UTC
As a follow-up to bug #252363, this is a list of port that have the DOCS option but no actual docs. As I am not sure which ones constitute KDE ports, I will just be listing them here. This is non-exhaustive as these are only ports that I had installed that I had checked out.

devel/json-glib
graphics/libkdcraw
graphics/libkexiv2
graphics/libkipi
graphics/kdegraphics-mobipocket
graphics/kdegraphics-svgpart
graphics/kdegraphics-thumbnailers
multimedia/kdemultimedia-ffmpegthumbs
net-im/kaccounts-integration
print/print-manager
sysutils/kdialog
sysutils/signon-kwallet-extension

There is also bug #252357 that I opened for textproc/aspell which falls under this list as well.
Comment 1 Adriaan de Groot freebsd_committer 2021-04-21 09:57:09 UTC
- json-glib was fixed in february by Tobias
- aspell is still open
- the rest will land with the Plasma 5.21.3 update, due "soon"
Comment 2 commit-hook freebsd_committer 2021-04-22 07:56:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f365336113039825140dd68ddb69340a5ecf0ab4

commit f365336113039825140dd68ddb69340a5ecf0ab4
Author:     Adriaan de Groot <adridg@FreeBSD.org>
AuthorDate: 2021-04-21 14:31:16 +0000
Commit:     Adriaan de Groot <adridg@FreeBSD.org>
CommitDate: 2021-04-22 07:25:15 +0000

    KDE Applications: sanitize DOCS option

    If a port has no documentation, it doesn't need a DOCS
    option (which turns on, or off, exactly an empty set
    of documentation). This is now handled correctly by
    kde.mk since ports 620d7678c8.

    KDE **applications** with a DOCS option get doctools_build
    added for free; this covers the majority of KDE-things-with
    documentation. Note that DOCS isn't expected to **change**
    anything: most of the ports that have (or had) that option
    didn't do anything with it and always built the docs anyway.

    PR:             255260
    Reported by:    Naram Qashat

 Mk/Uses/kde.mk                                 | 8 +++++++-
 graphics/kdegraphics-mobipocket/Makefile       | 2 --
 graphics/kdegraphics-svgpart/Makefile          | 2 --
 graphics/kdegraphics-thumbnailers/Makefile     | 2 --
 graphics/libkdcraw/Makefile                    | 2 --
 graphics/libkexiv2/Makefile                    | 2 --
 graphics/libkipi/Makefile                      | 2 --
 multimedia/kdemultimedia-ffmpegthumbs/Makefile | 2 --
 net-im/kaccounts-integration/Makefile          | 2 --
 print/print-manager/Makefile                   | 2 --
 sysutils/kdialog/Makefile                      | 2 --
 sysutils/signon-kwallet-extension/Makefile     | 2 --
 12 files changed, 7 insertions(+), 23 deletions(-)
Comment 3 Adriaan de Groot freebsd_committer 2021-04-22 08:01:52 UTC
Heh, bugzilla mangles the commit hash to a SVN revision, wrongly.

Anyway: these, plus some others, have been wrangled. Thanks for reporting.
Comment 4 Mathieu Arnold freebsd_committer 2021-04-23 08:30:20 UTC
Have you reported that to the bugmeister team?